package com.zcloud.primeport.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.primeport.domain.gateway.VehicleViolationsGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:29
 */
@Component
@AllArgsConstructor
public class VehicleViolationsRemoveExe {
    private final VehicleViolationsGateway vehicleViolationsGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = vehicleViolationsGateway.deletedVehicleViolationsById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = vehicleViolationsGateway.deletedVehicleViolationsByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

